Bug 1120516 - (CVE-2018-5818) VUL-1: CVE-2018-5818: libraw: DoS in parse_rollei function in internal/dcraw_common.cpp
(CVE-2018-5818)
VUL-1: CVE-2018-5818: libraw: DoS in parse_rollei function in internal/dcraw_...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Minor
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/221529/
CVSSv3:RedHat:CVE-2018-5818:3.3:(AV:L...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-01-02 14:51 UTC by Karol Babioch
Modified: 2021-09-27 16:40 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Karol Babioch 2019-01-02 14:51:00 UTC
LibRaw is vulnerable to a denial of service, caused by a flaw in the parse_rollei function in internal/dcraw_common.cpp. By persuading a victim to open a specially-crafted file, a remote attacker could exploit this vulnerability to cause the application to enter into an infinite loop.


References:
https://www.flexera.com/company/secunia-research/advisories/SR-2018-27.html
https://bugzilla.redhat.com/show_bug.cgi?id=1661608
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2018-5818
http://people.canonical.com/~ubuntu-security/cve/2018/CVE-2018-5818.html
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-5818
Comment 1 Petr Gajdos 2019-01-09 12:23:32 UTC
Will be submitted for 15,12/libraw.
Comment 2 Petr Gajdos 2019-01-09 12:29:45 UTC
I believe all fixed.
Comment 5 Swamp Workflow Management 2019-01-18 17:10:45 UTC
SUSE-SU-2019:0127-1: An update that fixes 6 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1120498,1120499,1120500,1120515,1120516,1120517
CVE References: CVE-2018-20363,CVE-2018-20364,CVE-2018-20365,CVE-2018-5817,CVE-2018-5818,CVE-2018-5819
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP4 (src):    libraw-0.15.4-30.1
SUSE Linux Enterprise Workstation Extension 12-SP3 (src):    libraw-0.15.4-30.1
SUSE Linux Enterprise Software Development Kit 12-SP4 (src):    libraw-0.15.4-30.1
SUSE Linux Enterprise Software Development Kit 12-SP3 (src):    libraw-0.15.4-30.1
SUSE Linux Enterprise Desktop 12-SP4 (src):    libraw-0.15.4-30.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    libraw-0.15.4-30.1
Comment 6 Swamp Workflow Management 2019-01-21 14:10:47 UTC
SUSE-SU-2019:0133-1: An update that fixes 7 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1120498,1120499,1120500,1120515,1120516,1120517,1120519
CVE References: CVE-2018-20337,CVE-2018-20363,CVE-2018-20364,CVE-2018-20365,CVE-2018-5817,CVE-2018-5818,CVE-2018-5819
Sources used:
SUSE Linux Enterprise Workstation Extension 15 (src):    libraw-0.18.9-3.8.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (src):    libraw-0.18.9-3.8.1
Comment 7 Swamp Workflow Management 2019-01-29 14:21:14 UTC
openSUSE-SU-2019:0094-1: An update that fixes 7 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1120498,1120499,1120500,1120515,1120516,1120517,1120519
CVE References: CVE-2018-20337,CVE-2018-20363,CVE-2018-20364,CVE-2018-20365,CVE-2018-5817,CVE-2018-5818,CVE-2018-5819
Sources used:
openSUSE Leap 15.0 (src):    libraw-0.18.9-lp150.2.6.1
Comment 8 Marcus Meissner 2019-07-19 06:44:56 UTC
done
Comment 9 OBSbugzilla Bot 2021-09-27 16:40:35 UTC
This is an autogenerated message for OBS integration:
This bug (1120516) was mentioned in
https://build.opensuse.org/request/show/921823 Factory / libraw